$(function() {
 LAND.init();
 $(window).resize(function() {
  LAND.modalRefresh();
 });
 LAND.modalRefresh();
 $(document).on("click", "a[modal]", function() {
  var modalWindow = $("div#" + $(this).attr("modal"));
  if (modalWindow.length) {
   LAND.modalShow(modalWindow);
   return false;
  }
 }).on("click", ".icon-close, .modal, .button-close", function(event) {
  if (event.target != this) {
   return false;
  } else {
   LAND.modalHide($(this).closest(".modal"));
  }
 }).on("keydown", function(key) {
  if (key.keyCode == 27) {
   LAND.modalHide($(".modal:visible:last"));
  }
 }).on("click", ".modal > *", function(event) {
  event.stopPropagation();
  return true;
 });
});
var LAND = (function($, $n) {
 return $.extend($n, {
  init: function() {
   this.setTimezone();
  },
  modalHide: function($modal) {
   $modal.fadeOut("fast", function() {
    if (!$(".modal:visible").length) {
     $("body").removeClass("modal-show");
    }
   });
  },
  modalRefresh: function() {
   if ($(".modal:visible:last").length) {
    var modalBlock = $(".modal:visible:last .modal-block"),
     width = parseInt(modalBlock.width()),
     height = parseInt(modalBlock.height());
    if ($(window).height() > height + 20) {
     modalBlock.addClass("modal-top").removeClass("margin-t-b").css("margin-top", -1 * (height / 2));
    } else {
     modalBlock.addClass("margin-t-b").removeClass("modal-top");
    }
    if ($(window).width() > width) {
     modalBlock.addClass("modal-left").removeClass("margin-l").css("margin-left", -1 * (width / 2));
    } else {
     modalBlock.addClass("margin-l").removeClass("modal-left");
    }
   }
  },
  modalShow: function($modal) {
   $modal.fadeIn("fast");
   $("body").addClass("modal-show");
   this.modalRefresh();
  },
  initCallback: function(timeout) {
   try {
    setTimeout(function start_LANDcb() {
     $("#LANDcb").show();
    }, timeout);
   } catch (e) {}
  },
  setTimezone: function() {
   var tz = new Date().getTimezoneOffset();
   $("form").append('<input type="hidden" name="timezone" value="' + tz + '" />');
  },
  setCountryField: function(country) {
   $("form").append("<input type='hidden' name='country' value='" + country + "' />");
  },
  checkAndSetCountryField: function(country) {
   if (!$("select[name=country]").length && !$("input[name=country]").length) {
    this.setCountryField(country);
   }
  },
  disableCountrySelect: function(country) {
   if ($("select[name=country]").length) {
    $("select[name=country]").attr("disabled", "disabled");
    this.setCountryField(country);
   }
  },
  initComebacker: function() {
   var comebacker = true;
   $(window).on("mouseout", function(event) {
    if (event.pageY - $(window).scrollTop() < 1 && comebacker) {
     comebacker = false;
     $("a[modal=LANDcb-form]").trigger("click");
    }
   });
  }
 });
})(jQuery, LAND || {});